(function($){
    $.game = $.game||{};
    $.game={
        inits:function(){
			$(".top-tab").tab({tablist:".top-tab-t",tabcon:".top-tab-b",conClass:".tab-item",addClass: "on"});
			$(".floor-item").tab({tablist:".floor-item-t",tabcon:".floor-item-b",conClass:".floor-con",addClass: "on"});
			$(this).tophov();
			$(this).jqmore();
			$(this).cztab();
			$(this).scroll_top();
        },
		tab:function(options){
			$.game.tab.def = {
				tablist:".sp-list-top",
				tabcon:".sp-list-bot",
				list:"li",
				conClass:".sp-list-item",
				addClass: "on",
				usevent:"click"
			};
			var that = this;
			var opts = $.extend($.game.tab.def, options);
			var timer = null;
			var sec = null;
			this.each(function(a){
				var _list = that.eq(a).find(opts.tablist).find(opts.list);
				var _con =  that.eq(a).find(opts.tabcon).find(opts.conClass);
				_list.each(function(i){
					opts.usevent == "mouseover"?sec=200:sec=0;
					$(this).mouseout(function(){
						clearTimeout(timer);
					})
					$(this)[opts.usevent](function(e){
						e.stopPropagation();
						clearTimeout(timer);
						timer = setTimeout(function(){
							_con.hide();
							_list.removeClass(opts.addClass)
							_list.eq(i).addClass(opts.addClass)
							_con.eq(i).show();
						},sec)
					});
				})
			})
		},
		tophov:function(){
			$(".top-list").hover(function(){
				$(this).parent(".tab-item").find(".top-con-2").hide();
				$(this).parent(".tab-item").find(".top-con-1").show();
				$(this).find(".top-con-1").hide();
				$(this).find(".top-con-2").show();
			});
		},
		jqmore:function(){
			$("#a-more").click(function(){
				if($(this).hasClass("ckgd")){
					$(this).removeClass("ckgd").addClass("sqgd").text("收起更多");
					$(".jq-p").hide();
					$(".qb-p").show();
				}else {
					$(this).removeClass("sqgd").addClass("ckgd").text("查看更多");
					$(".qb-p").hide();
					$(".jq-p").show();
				}
			})
		},
		scroll_top:function(){
            $(window).bind("scroll", function(event){
                if( $(window).scrollTop() >= 600 ) {
                    $(".scrollTop").fadeIn();
                }else{
                    $(".scrollTop").fadeOut();
                };
            });
            $(".scrollTop-a").click(function(){
                $("html,body").animate({scrollTop: 0},200);
            });
        },
		cztab:function(){
			$(".cz-tab-t").find("label").click(function(){
				var flag = $(this).index();
				$(".cz-tab-item").eq(flag).show().siblings(".cz-tab-item").hide();
			})
		}
	
    }
    $.extend($.fn,$.game);
    $(function(){$.game.inits();})
})(jQuery)
